## org.apache.fop.pdf
Class PDFArray

    java.lang.Object
      |
      +--org.apache.fop.pdf.PDFObject
            |
            +--org.apache.fop.pdf.PDFArray

public class PDFArray
extends PDFObject

class representing an array object

Field Summary
`protected int[]` `values`

Fields inherited from class org.apache.fop.pdf.PDFObject
`generation, number`

Constructor Summary
`PDFArray(int number, int[] values)` create the array object

Method Summary
`byte[]` `toPDF()` produce the PDF representation for the object

Methods inherited from class org.apache.fop.pdf.PDFObject
`getNumber, output, referencePDF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### values

    protected int[] values

Constructor Detail

### PDFArray

    public PDFArray(int number,
                    int[] values)

  create the array object
  Parameters:
    `number` - the object's number
    `values` - the actual array wrapped by this object

Method Detail

### toPDF

    public byte[] toPDF()

  produce the PDF representation for the object
  Returns:
    the PDF

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.